# Welcome to the Standard for Public Code

<!-- SPDX-License-Identifier: CC0-1.0 -->
<!-- SPDX-FileCopyrightText: 2019-2022 The Foundation for Public Code <info@publiccode.net>, https://standard.publiccode.net/AUTHORS -->

The Standard for Public Code is a set of criteria that supports public organizations in developing and maintaining software and policy together.

The Standard for Public Code gives public organizations a model for building their own open source solutions to enable successful future collaboration and reuse by similar organizations in the public sector in other places.
It includes guidance for policy makers, government administrators, developers and vendors.
The Standard for Public Code supports the collaborative creation of codebases that are usable, open, legible, accountable, accessible and sustainable.
It is meant to be applicable to codebases for all levels of government, from supranational to municipal.

We define ‘public code’ as open source software developed by public organizations, together with the policy and guidance needed for collaboration and reuse.

The criteria of the Standard for Public Code are aligned with guidelines and best practices of open source software development.

There are also unofficial [community translations of the Standard](https://publiccodenet.github.io/community-translations-standard/) in other languages.

## Contents

* [Introduction and background](introduction.md)
* [Readers guide: how to interpret this standard](readers-guide.md)
* [Glossary](glossary.md)
* [Criteria](criteria/)
  * [Code in the open](criteria/code-in-the-open.md)
  * [Bundle policy and source code](criteria/bundle-policy-and-code.md)
  * [Create reusable and portable code](criteria/reusable-and-portable-codebases.md)
  * [Welcome contributors](criteria/open-to-contributions.md)
  * [Make contributing easy](criteria/make-contributing-easy.md)
  * [Maintain version control](criteria/version-control-and-history.md)
  * [Require review of contributions](criteria/require-review.md)
  * [Document codebase objectives](criteria/document-objectives.md)
  * [Document the code](criteria/documenting.md)
  * [Use plain English](criteria/understandable-english-first.md)
  * [Use open standards](criteria/open-standards.md)
  * [Use continuous integration](criteria/continuous-integration.md)
  * [Publish with an open license](criteria/open-licenses.md)
  * [Make the codebase findable](criteria/findability.md)
  * [Use a coherent style](criteria/style.md)
  * [Document codebase maturity](criteria/document-maturity.md)
* [Authors](AUTHORS.md)
* [Contributing guide](CONTRIBUTING.md)
* [Code of conduct](CODE_OF_CONDUCT.md)
* [Governance](GOVERNANCE.md)
* [Version history](CHANGELOG.md)
* [License](license.html)
